Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class TupleExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.TupleExpression

    public class TupleExpression
    extends Expression

Represents a tuple expression {1, 2, 3} which creates an immutable List

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`TupleExpression()`
`TupleExpression(Expression expr)`
`TupleExpression(Expression expr1, Expression expr2)`
`TupleExpression(Expression expr1, Expression expr2, Expression expr3)`
`TupleExpression(int length)`
`TupleExpression(java.util.List expressions)`
`TupleExpression(Expression[] expressionArray)`

Method Summary
`TupleExpression` | `addExpression(Expression expression)`
`Expression` | `getExpression(int i)`
`java.util.List` | `getExpressions()`
`java.lang.String` | `getText()`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### TupleExpression

    public TupleExpression()

### TupleExpression

    public TupleExpression(Expression expr)

### TupleExpression

    public TupleExpression(Expression expr1, Expression expr2)

### TupleExpression

    public TupleExpression(Expression expr1, Expression expr2, Expression expr3)

### TupleExpression

    public TupleExpression(int length)

### TupleExpression

    public TupleExpression(java.util.List expressions)

### TupleExpression

    public TupleExpression(Expression[] expressionArray)

Method Detail

### addExpression

    public TupleExpression addExpression(Expression expression)

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public java.util.List getExpressions()

### getText

    public java.lang.String getText()

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation